%define upstream_name    Log-Report
%define upstream_version 0.992

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Error message dispatcher with translation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode) >= 2.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sys::Syslog) >= 0.270.0
BuildRequires: perl(Test::More) >= 0.860.0
BuildArch:  noarch

%description
Handling messages to users can be a hassle, certainly when the same module
is used for command-line and in a graphical interfaces, and has to cope
with internationalization at the same time; this set of modules tries to
simplify this. Log::Report combines 'gettext' features with
Log::Dispatch-like features. However, you can also use this module to do
only translations or only message dispatching.

Read more about how and why in the the /DETAILS manpage section, below.
Especially, you should *read about the REASON parameter*.

Content of the whole 'Log::Report' package:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/xgettext-perl

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.992.0-2.mga3
+ Revision: 369228
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 0.992.0-1.mga3
+ Revision: 338086
- update to 0.992

* Thu Dec 13 2012 shlomif <shlomif> 0.991.0-1.mga3
+ Revision: 330227
- update to 0.991

* Wed Oct 03 2012 jquelin <jquelin> 0.990.0-1.mga3
+ Revision: 302421
- update to 0.99

* Fri Sep 07 2012 shlomif <shlomif> 0.980.0-1.mga3
+ Revision: 289225
- update to 0.98

* Mon Aug 06 2012 shlomif <shlomif> 0.940.0-1.mga3
+ Revision: 279239
- imported package perl-Log-Report

